
Public Class Ingredient

    Private _name As String
    Private _amount As Decimal
    Private _unitMeasurement As String
    Private _foodType As String

    Public Property Name() As String
        Get
            Return _name
        End Get
        Set(ByVal value As String)
            _name = value
        End Set
    End Property

    Public Property Amount() As Decimal
        Get
            Return _amount
        End Get
        Set(ByVal value As Decimal)
            _amount = value
        End Set
    End Property

    Public Property UnitMeasurement() As String
        Get
            Return _unitMeasurement
        End Get
        Set(ByVal value As String)
            _unitMeasurement = value
        End Set
    End Property

    Public Property FoodType() As String
        Get
            Return _foodType
        End Get
        Set(ByVal value As String)
            _foodType = value
        End Set
    End Property

    Public Sub New()
        _name = ""
        _amount = 0

    End Sub

    Public Sub New(ByVal name As String, ByVal amount As Integer)
        _name = name
        _amount = amount

    End Sub

    Public Overrides Function ToString() As String
        Return ("Ingredient Name: " & _name & " Amount: " & _amount)
    End Function

End Class
